Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper
Interface ExtendedPropertyMapper

All Superinterfaces:
  CompositeMapperBuilder, PropertyMapper, SimpleMapperBuilder

All Known Implementing Classes:
  MultiPropertyMapper, SubclassPropertyMapper

    public interface ExtendedPropertyMapper

extends PropertyMapper, CompositeMapperBuilder

Method Summary
`boolean` | `map(SessionImplementor session, Map<String,Object> data, String[] propertyNames, Object[] newState, Object[] oldState)`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from interface org.hibernate.envers.entities.mapper.CompositeMapperBuilder
`addComponent, addComposite`

Methods inherited from interface org.hibernate.envers.entities.mapper.SimpleMapperBuilder
`add`

Method Detail

### map

    boolean map(SessionImplementor session,
                Map<String,Object> data,
                String[] propertyNames,
                Object[] newState,
                Object[] oldState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.